Bug 1301091 - [libblkid] Failed to get offset of the xfs_external_log signature
[libblkid] Failed to get offset of the xfs_external_log signature
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: util-linux (Show other bugs)
7.2
All Linux
urgent Severity high
: rc
: ---
Assigned To: Karel Zak
qe-baseos-daemons
: EasyFix, Patch, Regression, ZStream
Depends On:
Blocks: 1203710 1289485 1302332
  Show dependency treegraph
 
Reported: 2016-01-22 09:57 EST by Julio Entrena Perez
Modified: 2016-11-03 17:26 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1302332 (view as bug list)
Environment:
Last Closed: 2016-11-03 17:26:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2136291 None None None 2016-01-22 10:29 EST

  None (edit)
Description Julio Entrena Perez 2016-01-22 09:57:42 EST
Description of problem:
After deleting a LV that contained a XFS filesystem and creating a new LV in the same location, libblkid fails to remove the XFS signature. 

Version-Release number of selected component (if applicable):
libblkid 2.23.2-26.el7

How reproducible:
Always

Steps to Reproduce:
1. lvcreate -L 16m -n lv1 vg1
2. mkfs.xfs /dev/vg1/lv1
3. lvremove vg1/lv
4. lvcreate -L 16m -n lv1 vg1

Actual results:
# lvcreate -L 16m -n lv1 vg1 
WARNING: xfs signature detected on /dev/vg1/lv1 at offset 0. Wipe it? [y/n]: y
  Wiping xfs signature on /dev/vg1/lv1.
  Failed to get offset of the xfs_external_log signature on /dev/vg1/lv1.
  1 existing signature left on the device.
  Logical volume "lv1" created.

Expected results:
# lvcreate -L 16m -n lv1 vg1
WARNING: xfs signature detected on /dev/vg1/lv1 at offset 0. Wipe it? [y/n]: y
  Wiping xfs signature on /dev/vg1/lv1.
  Logical volume "lv1" created.

Additional info:
Bug does not reproduce on previous libblkid-2.23.2-22.el7_1.1.
Comment 2 Julio Entrena Perez 2016-01-25 08:54:45 EST
The following patch could be the related:

"libblkid: make XFS Log visible for wipefs"
commit d5b7d2912afceac3774d1aaea9e8486b54d4e9e9
Comment 3 Julio Entrena Perez 2016-01-25 12:45:56 EST
After building test packages that include d5b7d2912afceac3774d1aaea9e8486b54d4e9e9 I confirm that the problem is resolved by it.
Comment 10 Byreddy 2016-04-14 05:15:06 EDT
i hit the same issue, after updating util-linux to 2.23.2-26.el7_2.2.x86_64, issue not observed.  thanks for the fix
Comment 16 errata-xmlrpc 2016-11-03 17:26:27 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2605.html

Note You need to log in before you can comment on or make changes to this bug.